Subject: Re: [Tls-reg-review] IANA TLS ALPN registry for SIP

From: "Olle E. Johansson" <[email-masked]>
Date: Thu, 1 Jul 2021 11:09:25 +0200

Hi!
Sorry if I have missed mails, but I don’t see any follow-up on this issue.
Any outstanding questions?

Cheers,
/O

> On 1 May 2021, at 18:01, Olle E. Johansson <[email-masked]> wrote:
> 
> 
> 
>> On 1 May 2021, at 17:15, Yoav Nir <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Is RFC 3261 a valid reference?  It’s valid for SIP, but doesn’t describe using ALPN.  In fact, what it says about TLS is that by default, proxies should be listening on port 5061 for TLS, not sharing some common port with other services.
>> 
>> Is there some document that talks about sharing a port between SIP and other services?
> There is a document covering STUN on the same port, but it doesn’t really answer your question.
> 
> What I was thinking about is a few implementations
> that server HTTPS and SIP/TLS on the same socket in order to support both SIP over websockets
> and SIP/TLS. One that I’m involved with is Kamailio at kamailio.org <http://kamailio.org/> which would be helped by ALPN
> usage.
> 
> I did not see a requirement for an RFC that covers ALPN usage in the referenced protocol
> in the requirement texts for IANA ALPN registration, but if that’s the case I guess we have to produce something.
> 
> /O
>> 
>> Yoav
>> 
>>> On 30 Apr 2021, at 18:21, Salz, Rich <rsalz=[email-masked] <mailto:rsalz=[email-masked]>> wrote:
>>> 
>>> This looks good to me.  Will need Yoav or Nick to also approve.
>>> 
>>> On 4/30/21, 3:12 AM, "Olle E. Johansson" <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>>   I would like to register a TLS ALPN registry entry for the Session Initiation Protocol according to the following entry:
>>> 
>>>      Protocol:  SIP
>>>      Identification Sequence:
>>>         0x73 0x69 0x70  (“sip")
>>>      Reference:  [RFC3261]
>>> 
>>>   Best regards,
>>>   /Olle E. Johansson
>>>   _______________________________________________
>>>   tls-reg-review mailing list
>>>   [email-masked] <mailto:[email-masked]>
>>>   https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/tls-reg-review__;!!GjvTz_vk!BzhIvT8_gOqJ8H95ghJps9NOZ-nnsQ6GnSGICKr3XFzpOHVoa0Zkn-6s6p0K$ <https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/tls-reg-review__;!!GjvTz_vk!BzhIvT8_gOqJ8H95ghJps9NOZ-nnsQ6GnSGICKr3XFzpOHVoa0Zkn-6s6p0K$> 
>>> 
>>> _______________________________________________
>>> tls-reg-review mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.ietf.org/mailman/listinfo/tls-reg-review
>> 
>